#include <bits/stdc++.h>
using namespace std;
int n,m;
int a[100005];
int x[100005],y[100005];
int uksreca;
int main() {
cin >> n >> m;
for(int i=1; i<=n; i++)
cin >> a[i];
for(int i=1; i<=m; i++){
    cin >> x[i] >> y[i];
uksreca+=2;
}
cout << uksreca << endl;

return 0;
}